/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Florian Zinggeler
 *   Co-authors:
 *      ...
 *
 */

/**
    @file FlappyOrx.h
    @brief Gametype.
    @ingroup FlappyOrx
*/

#ifndef _FlappyOrx_H__
#define _FlappyOrx_H__

#include "flappyorx/FlappyOrxPrereqs.h"

#include "gametypes/Deathmatch.h"
#include "tools/Timer.h"

namespace orxonox
{

    class _FlappyOrxExport FlappyOrx : public Deathmatch
    {
        public:
            FlappyOrx(Context* context);

            virtual void start() override;
            virtual void end() override;
            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command

            void spawnEnemy();

            void setCenterpoint(FlappyOrxCenterPoint* center);

            int getLives(){return this->lives;}
            int getLevel(){return this->level;}
            int getPoints(){return this->point;}
            int getMultiplier(){return this->multiplier;}

            void costLife();
            void levelUp();
            void addPoints(int numPoints);
            // checks if multiplier should be reset.
            void comboControll();
            int lives;
            int multiplier;
            bool bEndGame;
            bool bShowLevel;
        private:
            void toggleShowLevel(){bShowLevel = !bShowLevel;}
            FlappyOrxShip* getPlayer();
            WeakPtr<FlappyOrxCenterPoint> center_;
            WeakPtr<FlappyOrxShip> player;

            Timer enemySpawnTimer;
            Timer comboTimer;
            Timer showLevelTimer;
            //Context* context;
            int level;
            int point;
            bool b_combo;
    };
}

#endif /* _FlappyOrx_H__ */
