/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Florian Zinggeler
 *   Co-authors:
 *      --
 *
 */

/**
    @file FlappyOrxWeaponEnemy.h
    @brief Implementation of the FlappyOrxWeaponEnemy class.
*/

#include "FlappyOrxWeaponEnemy.h"

#include "core/CoreIncludes.h"
#include "weapons/projectiles/Projectile.h"

namespace orxonox
{
    RegisterClass(FlappyOrxWeaponEnemy);

    FlappyOrxWeaponEnemy::FlappyOrxWeaponEnemy(Context* context) : FlappyOrxWeapon(context)
    {
        RegisterObject(FlappyOrxWeaponEnemy);
    }

    void FlappyOrxWeaponEnemy::shot()
    {
        FlappyOrxWeapon::shot();
        // SUPER(FlappyOrxWeaponEnemy, shot);
        // only shoot in foreward direction
        projectile->setVelocity(Vector3(1, 0, 0) * 300);
        // projectile->setOrientation(Quaternion(sqrt(0.5),0,sqrt(0.5),0));
    }
}


